Package csb :: Package apps :: Module buildhmm :: Class ProfileBuilder

[frames] | no frames]

# Class ProfileBuilder

source code

    object --+
             |
            ProfileBuilder

Known Subclasses:
  - FASTAProfileBuilder
  - , PDBProfileBuilder

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, query, target_id, database, tk_root, tk_config, pseudo=True, ss=True, cpu=1) x.__init__(...) initializes x; see help(type(x)) for signature | source code

build_alignment(self) | source code

calibrate_hmm(self) | source code

configure_input(self) | source code

make_hmm(self) | source code

run(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

create(query, target_id, database, tk_root, tk_config, pseudo=True, ss=True, cpu=1) | source code

Class Variables
| EMISSION_PSEUDO = ``'``-pcm 4 -pca 2.5 -pcb 0.5 -pcc 1.0``'``
| TRANSITION_PSEUDO = ``'``-gapb 1.0 -gapd 0.15 -gape 1.0 -gapf 0.6` `...``
| __abstractmethods__ = ``frozenset([``'``configure_input``'``])``

Properties
| target_id
Inherited from `object`: `__class__`

Method Details

### __init__(self, query, target_id, database, tk_root, tk_config, pseudo=True, ss=True, cpu=1)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Class Variable Details

### TRANSITION_PSEUDO

Value:

      '-gapb 1.0 -gapd 0.15 -gape 1.0 -gapf 0.6 -gapg 0.6 -gapi 0.6'

Property Details

### target_id

Get Method:
  unreachable.target_id(self)